Bug 65960 - freetype-2.1.2 fails to build with . in path
freetype-2.1.2 fails to build with . in path
Product: Red Hat Raw Hide
Classification: Retired
Component: freetype (Show other bugs)
i386 Linux
low Severity low
: ---
: ---
Assigned To: Owen Taylor
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2002-06-04 14:10 EDT by Rex Dieter
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-07-26 15:20:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2002-06-04 14:10:24 EDT
freetype-2.1.0 fails to rebuild on my system (redhat 7.3), because apparently, 
I have . in my path and the 'install' script in freetype's (build)root 
directory wreaks havok.  A few pushd's fixed it for me: 
%if %{with_ttmkfdir} 
pushd ttmkfdir2 
libtool install -m 755 ttmkfdir $RPM_BUILD_ROOT%{_bindir} 
mkdir -p $RPM_BUILD_ROOT/%{_prefix}/include/freetype1 
mv $RPM_BUILD_ROOT/%{_prefix}/include/freetype 
# Install freetype 2 demos 
pushd ft2demos-%{version} 
for ftdemo in ftdump ftlint ftmemchk ftmulti ftstring fttimer ftview ;do 
    libtool install -m 755 bin/$ftdemo $RPM_BUILD_ROOT/usr/bin 
Comment 1 Rex Dieter 2002-06-24 10:57:25 EDT
FYI, freetype-2.1.1 has the same problem.  Updated summary.
Comment 2 Rex Dieter 2002-07-09 13:11:53 EDT
updated summary for rawhide's freetype-2.1.2
Comment 3 Owen Taylor 2002-07-26 15:20:16 EDT
Is . in your path _before_ /usr/bin/?

This usually considered a really bad idea because people
can leave trojan binaries around in publically writeable
directories (like /tmp); if you want . in your path,
it should be at the end of the path.

(Please reopen if you add more information)
Comment 4 Rex Dieter 2002-07-26 15:47:35 EDT
Yes, you're right.  Putting . at the end is better, and fixes this particular 
problem.  Duh.

Note You need to log in before you can comment on or make changes to this bug.